Loading...
Searching...
No Matches
InternalData< ChildT, LOG2DIM >::Tile Union Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

| Tile ()=delete
| This class cannot be constructed or deleted.
| Tile (const Tile &)=delete
Tile & | operator= (const Tile &)=delete
| ~Tile ()=delete

## Public Attributes

ValueT | value
int64_t | child

## Constructor & Destructor Documentation

## Tile() [1/2]

template<typename ChildT, uint32_t LOG2DIM>

Tile | ( |  | ) |

delete

This class cannot be constructed or deleted.

## Tile() [2/2]

template<typename ChildT, uint32_t LOG2DIM>

Tile | ( | const Tile & |  | ) |

delete

## ~Tile()

template<typename ChildT, uint32_t LOG2DIM>

~Tile | ( |  | ) |

delete

## Member Function Documentation

## operator=()

template<typename ChildT, uint32_t LOG2DIM>

Tile & operator= | ( | const Tile & |  | ) |

delete

## Member Data Documentation

## child

template<typename ChildT, uint32_t LOG2DIM>

int64_t child

## value

template<typename ChildT, uint32_t LOG2DIM>

ValueT value